Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/mapctrl.cpp File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
mapctrl.cpp File Reference
`#include <QApplication>`
`#include <QKeyEvent>`
`#include <QMouseEvent>`
`#include <QPushButton>`
`#include "control.h"`
`#include "goto.h"`
`#include "client_main.h"`
`#include "climap.h"`
`#include "mapctrl.h"`
`#include "themes_common.h"`
`#include "tile.h"`
`#include "unit.h"`
`#include "zoom.h"`
`#include "citydlg.h"`
`#include "fc_client.h"`
`#include "qtg_cxxside.h"`
`#include "shortcuts.h"`

Go to the source code of this file.

## Functions

void | side_disable_endturn (bool do_restore)
void | update_turn_done_tooltip (void)
void | qload_lua_script ()
void | qreload_lua_script ()
int | city_buy_production (struct city *pcity)
void | popup_newcity_dialog (struct unit *punit, const char *suggestname)
void | set_turn_done_button_state (bool state)
void | create_line_at_mouse_pos (void)
void | update_rect_at_mouse_pos (void)

## Function Documentation

## ◆ city_buy_production()

int city_buy_production | ( | struct city * | pcity | ) |

Buy the current production item in a given city. Return the request ID.

Definition at line 1525 of file citydlg_common.c.

Referenced by city_dialog::buy(), buy_callback_response(), buy_production_in_selected_cities(), cityrep_buy(), city_widget::display_list_menu(), ok_buy_prod_city_dlg_callback(), production_widget::prod_selected(), and map_view::shortcut_pressed().

## ◆ create_line_at_mouse_pos()

void create_line_at_mouse_pos | ( | void |  | ) |

Draw a goto or patrol line at the current mouse position.

Definition at line 92 of file mapctrl.cpp.

## ◆ popup_newcity_dialog()

void popup_newcity_dialog | ( | struct unit * | punit,
|  | const char * | suggestname
| ) |  |

Popup a dialog to ask for the name of a new city. The given string should be used as a suggestion.

Definition at line 54 of file mapctrl.cpp.

## ◆ qload_lua_script()

void qload_lua_script | ( |  | ) |

extern

Load and execute lua script

Definition at line 73 of file luaconsole.cpp.

Referenced by map_view::shortcut_pressed().

## ◆ qreload_lua_script()

void qreload_lua_script | ( |  | ) |

extern

Reload last lua script

Definition at line 89 of file luaconsole.cpp.

Referenced by map_view::shortcut_pressed().

## ◆ set_turn_done_button_state()

void set_turn_done_button_state | ( | bool | state | ) |

A turn done button should be provided for the player. This function is called to toggle it between active/inactive.

Definition at line 82 of file mapctrl.cpp.

## ◆ side_disable_endturn()

void side_disable_endturn | ( | bool | do_restore | ) |

extern

Disables end turn button if asked

Definition at line 677 of file sidebar.cpp.

Referenced by fc_game_tab_widget::resizeEvent(), and set_turn_done_button_state().

## ◆ update_rect_at_mouse_pos()

void update_rect_at_mouse_pos | ( | void |  | ) |

The Area Selection rectangle. Called by center_tile_mapcanvas() and when the mouse pointer moves.

Definition at line 111 of file mapctrl.cpp.

## ◆ update_turn_done_tooltip()

void update_turn_done_tooltip | ( |  | ) |

extern

Update tooltip of the Turn Done button

Override background color for canvases Update tooltip of the Turn Done button

Definition at line 1054 of file gui_main.c.

Referenced by set_turn_done_button_state().